var info = {"examples":[{"link":"accessible.html","example":"accessible.html","title":"Accessibility example","shortdesc":"Example of an accessible map.","tags":"accessibility, tabindex","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"animation.html","example":"animation.html","title":"Animation example","shortdesc":"Demonstrates animated pan, zoom, and rotation.","tags":"animation","requires":["ol.Map","ol.View","ol.animation","ol.control","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"arcgis-tiled.html","example":"arcgis-tiled.html","title":"Tiled ArcGIS MapServer example","shortdesc":"Example of a tiled ArcGIS layer.","tags":"arcgis, tile, tilelayer\"","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.MapQuest","ol.source.TileArcGISRest"]},{"link":"attributions.html","example":"attributions.html","title":"Attributions example","shortdesc":"Example of a attributions visibily change on map resize, to collapse them on small maps.","tags":"attributions, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.control.Attribution","ol.layer.Tile","ol.source.OSM"]},{"link":"bing-maps.html","example":"bing-maps.html","title":"Bing Maps example","shortdesc":"Example of a Bing Maps layer.","tags":"bing, bing-maps","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.BingMaps"]},{"link":"blend-modes.html","example":"blend-modes.html","title":"Blend modes example","shortdesc":"Shows how to change the canvas compositing / blending mode in post- and precompose eventhandlers.","tags":"blendmode, blend-mode, blend mode, blendingmode, blending-mode, blending mode, composition, compositing, canvas, vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"box-selection.html","example":"box-selection.html","title":"Box selection example","shortdesc":"Using a DragBox interaction to select features.","tags":"DragBox, feature, selection, box","requires":["ol.Map","ol.View","ol.events.condition","ol.format.GeoJSON","ol.interaction.DragBox","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector"]},{"link":"button-title.html","example":"button-title.html","title":"Custom tooltips example","shortdesc":"This example shows how to customize the buttons tooltips with Bootstrap.","tags":"custom, tooltip","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.OSM"]},{"link":"canvas-tiles.html","example":"canvas-tiles.html","title":"Canvas tiles example","shortdesc":"Renders tiles with coordinates for debugging.","tags":"layers, openstreetmap, canvas","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.proj","ol.source.OSM","ol.source.TileDebug"]},{"link":"center.html","example":"center.html","title":"Advanced View Positioning example","shortdesc":"This example demonstrates how a map's view can be adjusted so a geometry or coordinate is positioned at a specific pixel location.","tags":"center, rotation, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.format.GeoJSON","ol.geom.Point","ol.geom.SimpleGeometry","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"cluster.html","example":"cluster.html","title":"Clustering example","shortdesc":"Example of using <code>ol.source.Cluster</code>.","tags":"cluster, vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.Cluster","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"color-manipulation.html","example":"color-manipulation.html","title":"Manipulating colors with a raster source","shortdesc":"Demonstrates color manipulation with a raster source.","tags":"color, hue, lightness, chroma","requires":["ol.Map","ol.View","ol.layer.Image","ol.source.Raster","ol.source.Stamen"]},{"link":"custom-controls.html","example":"custom-controls.html","title":"Custom control example","shortdesc":"Shows how to create custom controls.","tags":"custom, control","requires":["ol.Map","ol.View","ol.control","ol.control.Control","ol.layer.Tile","ol.source.OSM"]},{"link":"custom-interactions.html","example":"custom-interactions.html","title":"Custom interaction example","shortdesc":"Example of a custom interaction.","tags":"drag, feature, vector, editing, custom, interaction","requires":["ol.Feature","ol.Map","ol.View","ol.geom.LineString","ol.geom.Point","ol.geom.Polygon","ol.interaction","ol.interaction.Pointer","ol.layer.Tile","ol.layer.Vector","ol.source.TileJSON","ol.source.Vector","ol.style.Fill","ol.style.Icon","ol.style.Stroke","ol.style.Style"]},{"link":"d3.html","example":"d3.html","title":"d3 integration example","shortdesc":"Example of using ol3 and d3 together.","tags":"d3","requires":["ol.Map","ol.View","ol.extent","ol.layer.Image","ol.layer.Tile","ol.proj","ol.source.ImageCanvas","ol.source.Stamen"]},{"link":"device-orientation.html","example":"device-orientation.html","title":"Device-Orientation example","shortdesc":"Listen to DeviceOrientation events.","tags":"orientation, openstreetmap","requires":["ol.DeviceOrientation","ol.Map","ol.View","ol.control","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"drag-and-drop-image-vector.html","example":"drag-and-drop-image-vector.html","title":"Drag-and-Drop image vector example","shortdesc":"Example of using the drag-and-drop interaction with a ol.source.ImageVector. Drag and drop GPX, GeoJSON, IGC, KML, or TopoJSON files on to the map. Each file is rendered to an image on the client.","tags":"drag-and-drop-image-vector, gpx, geojson, igc, kml, topojson, vector, image","requires":["ol.Map","ol.View","ol.format.GPX","ol.format.GeoJSON","ol.format.IGC","ol.format.KML","ol.format.TopoJSON","ol.interaction","ol.interaction.DragAndDrop","ol.layer.Image","ol.layer.Tile","ol.source.BingMaps","ol.source.ImageVector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"drag-and-drop.html","example":"drag-and-drop.html","title":"Drag-and-Drop example","shortdesc":"Example of using the drag-and-drop interaction. Drag and drop GPX, GeoJSON, IGC, KML, or TopoJSON files on to the map. There is no projection transform support, so this will only work with data in EPSG:4326 and EPSG:3857.","tags":"drag-and-drop, gpx, geojson, igc, kml, topojson","requires":["ol.Map","ol.View","ol.format.GPX","ol.format.GeoJSON","ol.format.IGC","ol.format.KML","ol.format.TopoJSON","ol.interaction","ol.interaction.DragAndDrop","ol.layer.Tile","ol.layer.Vector","ol.source.BingMaps","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"drag-rotate-and-zoom.html","example":"drag-rotate-and-zoom.html","title":"Drag rotate and zoom example","shortdesc":"A single interaction to drag, rotate, and zoom.","tags":"drag, rotate, zoom, interaction","requires":["ol.Map","ol.View","ol.interaction","ol.interaction.DragRotateAndZoom","ol.layer.Tile","ol.source.MapQuest"]},{"link":"draw-and-modify-features.html","example":"draw-and-modify-features.html","title":"Draw and modify features example","shortdesc":"Example of using the ol.interaction.Draw interaction together with the ol.interaction.Modify interaction.","tags":"draw, edit, modify, vector, featureoverlay","requires":["ol.Collection","ol.Map","ol.View","ol.events.condition","ol.interaction.Draw","ol.interaction.Modify","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"draw-features.html","example":"draw-features.html","title":"Draw features example","shortdesc":"Example of using the ol.interaction.Draw interaction.","tags":"draw, edit, freehand, vector","requires":["ol.Map","ol.View","ol.geom.Polygon","ol.interaction.Draw","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"dynamic-data.html","example":"dynamic-data.html","title":"Dynamic data example","shortdesc":"Example of dynamic data.","tags":"dynamic-data","requires":["ol.Feature","ol.Map","ol.View","ol.geom.MultiPoint","ol.geom.Point","ol.layer.Tile","ol.source.MapQuest","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"earthquake-clusters.html","example":"earthquake-clusters.html","title":"Earthquake Clusters","shortdesc":"Demonstrates the use of style geometries to render source features of a cluster.","tags":"KML, vector, style, geometry, cluster","requires":["ol.Map","ol.View","ol.extent","ol.format.KML","ol.interaction","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.source.Cluster","ol.source.Stamen","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.RegularShape","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"epsg-4326.html","example":"epsg-4326.html","title":"EPSG:4326 example","shortdesc":"Example of a map in EPSG:4326.","tags":"epsg4326","requires":["ol.Map","ol.View","ol.control","ol.control.ScaleLine","ol.layer.Tile","ol.source.TileWMS"]},{"link":"export-map.html","example":"export-map.html","title":"Export map example","shortdesc":"Example of exporting a map as a PNG image.","tags":"export, png, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector"]},{"link":"feature-animation.html","example":"feature-animation.html","title":"Feature animation example","shortdesc":"Demonstrates how to animate features.","tags":"animation, vector, feature, flash","requires":["ol.Feature","ol.Map","ol.Observable","ol.View","ol.control","ol.easing","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Stroke"]},{"link":"feature-move-animation.html","example":"feature-move-animation.html","title":"Animate a feature movement","shortdesc":"Demonstrates how to move a feature along a line.","tags":"animation, feature, postcompose, polyline","requires":["ol.Feature","ol.Map","ol.View","ol.format.Polyline","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.BingMaps","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Icon","ol.style.Stroke","ol.style.Style"]},{"link":"fractal.html","example":"fractal.html","title":"Fractal Example","shortdesc":"Example of a fractal.","tags":"fractal, vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.LineString","ol.layer.Vector","ol.source.Vector"]},{"link":"full-screen-drag-rotate-and-zoom.html","example":"full-screen-drag-rotate-and-zoom.html","title":"Full screen drag rotate and zoom example","shortdesc":"Example of drag rotate and zoom control with full screen effect.","tags":"full-screen, drag, rotate, zoom, bing, bing-maps","requires":["ol.Map","ol.View","ol.control","ol.control.FullScreen","ol.interaction","ol.interaction.DragRotateAndZoom","ol.layer.Tile","ol.source.BingMaps"]},{"link":"full-screen.html","example":"full-screen.html","title":"Full screen control example","shortdesc":"Example of a full screen control.","tags":"full-screen, bing, bing-maps","requires":["ol.Map","ol.View","ol.control","ol.control.FullScreen","ol.layer.Tile","ol.source.BingMaps"]},{"link":"geojson.html","example":"geojson.html","title":"GeoJSON example","shortdesc":"Example of GeoJSON features.","tags":"geojson, vector, openstreetmap","requires":["ol.Feature","ol.Map","ol.View","ol.control","ol.format.GeoJSON","ol.geom.Circle","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"geolocation-orientation.html","example":"geolocation-orientation.html","title":"Geolocation Tracking with Orientation","shortdesc":"Example of a geolocated and oriented map.","tags":"fullscreen, geolocation, orientation, mobile","requires":["ol.Geolocation","ol.Map","ol.Overlay","ol.View","ol.control","ol.geom.LineString","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"geolocation.html","example":"geolocation.html","title":"Geolocation example","shortdesc":"Example of a geolocation map.","tags":"geolocation, openstreetmap","requires":["ol.Feature","ol.Geolocation","ol.Map","ol.View","ol.control","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"getfeatureinfo-image.html","example":"getfeatureinfo-image.html","title":"GetFeatureInfo example (image layer)","shortdesc":"This example shows how to trigger WMS GetFeatureInfo requests on click for a WMS image layer.","tags":"getfeatureinfo, forEachLayerAtPixel","requires":["ol.Map","ol.View","ol.layer.Image","ol.source.ImageWMS"]},{"link":"getfeatureinfo-tile.html","example":"getfeatureinfo-tile.html","title":"WMS GetFeatureInfo example (tile layer)","shortdesc":"This example shows how to trigger WMS GetFeatureInfo requests on click for a WMS tile layer.","tags":"getfeatureinfo, forEachLayerAtPixel","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.TileWMS"]},{"link":"gpx.html","example":"gpx.html","title":"GPX example","shortdesc":"Example of using the GPX source.","tags":"GPX","requires":["ol.Map","ol.View","ol.format.GPX","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.BingMaps","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"graticule.html","example":"graticule.html","title":"Graticule example","shortdesc":"This example shows how to add a graticule overlay to a map.","tags":"graticule","requires":["ol.Graticule","ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.OSM","ol.style.Stroke"]},{"link":"heatmap-earthquakes.html","example":"heatmap-earthquakes.html","title":"Earthquakes heatmap","shortdesc":"Demonstrates the use of a heatmap layer.","tags":"heatmap, kml, vector, style","requires":["ol.Map","ol.View","ol.format.KML","ol.layer.Heatmap","ol.layer.Tile","ol.source.Stamen","ol.source.Vector"]},{"link":"icon-sprite-webgl.html","example":"icon-sprite-webgl.html","title":"Icon sprites with WebGL example","shortdesc":"Icon sprite with WebGL","tags":"webgl, icon, sprite, vector, point","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Icon","ol.style.Style"]},{"link":"icon.html","example":"icon.html","title":"Vector Icon Example","shortdesc":"Example using an icon to symbolize a point.","tags":"vector, style, icon, marker, popup","requires":["ol.Feature","ol.Map","ol.Overlay","ol.View","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.TileJSON","ol.source.Vector","ol.style.Icon","ol.style.Style"]},{"link":"igc.html","example":"igc.html","title":"IGC example","shortdesc":"Example of tracks recorded from multiple paraglider flights on the same day, read from an IGC file.","tags":"complex-geometry, closest-feature, igc, opencyclemap","requires":["ol.Attribution","ol.Feature","ol.Map","ol.View","ol.control","ol.format.IGC","ol.geom.LineString","ol.geom.Point","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"image-filter.html","example":"image-filter.html","title":"Image Filter Example","shortdesc":"Apply a filter to imagery","tags":"filter, image manipulation","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.BingMaps"]},{"link":"image-load-events.html","example":"image-load-events.html","title":"Image load events example","shortdesc":"Example using image load events.","tags":"image, events, loading","requires":["ol.Map","ol.View","ol.layer.Image","ol.source.ImageWMS"]},{"link":"image-vector-layer.html","example":"image-vector-layer.html","title":"Image vector layer example","shortdesc":"Example of an image vector layer.","tags":"vector, image","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Image","ol.layer.Tile","ol.layer.Vector","ol.source.ImageVector","ol.source.MapQuest","ol.source.Vector","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"index.html","example":"index.html"},{"link":"jsts.html","example":"jsts.html","title":"JSTS Example","shortdesc":"Example on how to use JSTS with OpenLayers 3.","tags":"vector, jsts, buffer","requires":["ol.Feature","ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.MapQuest","ol.source.Vector"]},{"link":"kml-earthquakes.html","example":"kml-earthquakes.html","title":"Earthquakes in KML","shortdesc":"Demonstrates the use of a Shape symbolizer to render earthquake locations.","tags":"KML, vector, style, tooltip","requires":["ol.Map","ol.View","ol.format.KML","ol.layer.Tile","ol.layer.Vector","ol.source.Stamen","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"kml-timezones.html","example":"kml-timezones.html","title":"Timezones in KML","shortdesc":"Demonstrates rendering timezones from KML.","tags":"KML, vector, style","requires":["ol.Map","ol.View","ol.format.KML","ol.layer.Tile","ol.layer.Vector","ol.source.Stamen","ol.source.Vector","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"kml.html","example":"kml.html","title":"KML example","shortdesc":"Example of using the KML source.","tags":"KML","requires":["ol.Map","ol.View","ol.format.KML","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.BingMaps","ol.source.Vector"]},{"link":"layer-clipping-webgl.html","example":"layer-clipping-webgl.html","title":"Layer WebGL clipping example","shortdesc":"Layer WebGL clipping example.","tags":"clipping, webgl, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.has","ol.layer.Tile","ol.source.OSM"]},{"link":"layer-clipping.html","example":"layer-clipping.html","title":"Layer clipping example","shortdesc":"Layer clipping example","tags":"clipping, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"layer-extent.html","example":"layer-extent.html","title":"Limited Layer Extent","shortdesc":"Restricting layer rendering to a limited extent.","tags":"extent, tilejson","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.TileJSON"]},{"link":"layer-group.html","example":"layer-group.html","title":"Layer group example","shortdesc":"Example of a map with layer group.","tags":"tilejson, input, bind, group, layergroup","requires":["ol.Map","ol.View","ol.layer.Group","ol.layer.Tile","ol.proj","ol.source.MapQuest","ol.source.TileJSON"]},{"link":"layer-spy.html","example":"layer-spy.html","title":"Layer Spy Example","shortdesc":"View a portion of one layer over another","tags":"spy, image manipulation","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.BingMaps"]},{"link":"layer-swipe.html","example":"layer-swipe.html","title":"Layer Swipe example","shortdesc":"Example of a Layer swipe map.","tags":"swipe, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.BingMaps","ol.source.OSM"]},{"link":"layer-z-index.html","example":"layer-z-index.html","title":"Z-index layer ordering example","shortdesc":"Example of ordering layers using Z-index.","tags":"layer, ordering, z-index","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Fill","ol.style.RegularShape","ol.style.Stroke","ol.style.Style"]},{"link":"lazy-source.html","example":"lazy-source.html","title":"Lazy Source","shortdesc":"Example of setting a layer source after construction.","tags":"source","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.MapQuest"]},{"link":"line-arrows.html","example":"line-arrows.html","title":"LineString arrows example","shortdesc":"Example of drawing arrows for each line string segment.","tags":"draw, vector, arrow","requires":["ol.Map","ol.View","ol.geom.Point","ol.interaction.Draw","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Icon","ol.style.Stroke","ol.style.Style"]},{"link":"localized-openstreetmap.html","example":"localized-openstreetmap.html","title":"Localized OpenStreetMap example","shortdesc":"Example of a localized OpenStreetMap map with a custom tile server and a custom attribution.","tags":"cors, localized-openstreetmap, openseamap, openstreetmap","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"mapbox-vector-tiles-advanced.html","example":"mapbox-vector-tiles-advanced.html","title":"Advanced Mapbox vector tiles example","shortdesc":"Example of a Mapbox vector tiles map with custom tile grid.","tags":"mapbox, vector, tiles, mobile","requires":["ol.Attribution","ol.Map","ol.View","ol.format.MVT","ol.layer.VectorTile","ol.proj","ol.source.VectorTile","ol.style.Fill","ol.style.Icon","ol.style.Stroke","ol.style.Style","ol.style.Text","ol.tilegrid.TileGrid"]},{"link":"mapbox-vector-tiles.html","example":"mapbox-vector-tiles.html","title":"Mapbox vector tiles example","shortdesc":"Example of a Mapbox vector tiles map.","tags":"simple, mapbox, vector, tiles","requires":["ol.Attribution","ol.Map","ol.View","ol.format.MVT","ol.layer.VectorTile","ol.source.VectorTile","ol.style.Fill","ol.style.Icon","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"mapguide-untiled.html","example":"mapguide-untiled.html","title":"MapGuide untiled example","shortdesc":"Example of a untiled MapGuide map.","tags":"mapguide","requires":["ol.Map","ol.View","ol.layer.Image","ol.source.ImageMapGuide"]},{"link":"mapquest.html","example":"mapquest.html","title":"MapQuest example","shortdesc":"Example of a MapQuest map.Shows how to create custom controls.","tags":"mapquest","requires":["ol.Map","ol.View","ol.layer.Group","ol.layer.Tile","ol.proj","ol.source.MapQuest"]},{"link":"measure.html","example":"measure.html","title":"Measure example","shortdesc":"Example of using the ol.interaction.Draw interaction for creating simple measuring application.","tags":"draw, edit, measure, vector","requires":["ol.Map","ol.Observable","ol.Overlay","ol.Sphere","ol.View","ol.geom.LineString","ol.geom.Polygon","ol.interaction.Draw","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"min-max-resolution.html","example":"min-max-resolution.html","title":"Min/max resolution example","shortdesc":"Show/hide layers depending on current view resolution.","tags":"minResolution, maxResolution, resolution","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM","ol.source.TileJSON"]},{"link":"mobile-full-screen.html","example":"mobile-full-screen.html","title":"Full-Screen Mobile","shortdesc":"Example of a full screen map.","tags":"fullscreen, geolocation, mobile","requires":["ol.Geolocation","ol.Map","ol.View","ol.layer.Tile","ol.source.BingMaps"]},{"link":"modify-features.html","example":"modify-features.html","title":"Modify features example","shortdesc":"Editing features with the modify interaction.","tags":"modify, edit, vector","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.interaction","ol.interaction.Modify","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector"]},{"link":"modify-test.html","example":"modify-test.html","title":"Modify features test","shortdesc":"Example for testing feature modification.","tags":"modify, edit, vector","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.interaction","ol.interaction.Modify","ol.interaction.Select","ol.layer.Vector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"mouse-position.html","example":"mouse-position.html","title":"Mouse position example","shortdesc":"Example of a mouse position control, outside the map.","tags":"mouse-position, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.control.MousePosition","ol.coordinate","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"moveend.html","example":"moveend.html","title":"Moveend Example","shortdesc":"Use of the moveend event.","tags":"moveend, map, event","requires":["ol.Map","ol.View","ol.control","ol.extent","ol.layer.Tile","ol.proj","ol.source.OSM"]},{"link":"navigation-controls.html","example":"navigation-controls.html","title":"Navigation controls example","shortdesc":"Shows how to add navigation controls.","tags":"control, navigation, extent","requires":["ol.Map","ol.View","ol.control","ol.control.ZoomToExtent","ol.layer.Tile","ol.source.OSM"]},{"link":"overlay.html","example":"overlay.html","title":"Overlay example","shortdesc":"Demonstrates overlays.","tags":"overlay, popup, bootstrap, popover, mapquest, openaerial","requires":["ol.Map","ol.Overlay","ol.View","ol.coordinate","ol.layer.Tile","ol.proj","ol.source.MapQuest"]},{"link":"overviewmap-custom.html","example":"overviewmap-custom.html","title":"OverviewMap control example advanced","shortdesc":"Example of OverviewMap control with advanced customization.","tags":"overview, overviewmap","requires":["ol.Map","ol.View","ol.control","ol.control.OverviewMap","ol.interaction","ol.interaction.DragRotateAndZoom","ol.layer.Tile","ol.source.OSM"]},{"link":"overviewmap.html","example":"overviewmap.html","title":"OverviewMap control example","shortdesc":"Example of OverviewMap control.","tags":"overview, overviewmap","requires":["ol.Map","ol.View","ol.control","ol.control.OverviewMap","ol.layer.Tile","ol.source.OSM"]},{"link":"permalink.html","example":"permalink.html","title":"Permalink example","shortdesc":"Example on how to create permalinks.","tags":"permalink, openstreetmap, history","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"polygon-styles.html","example":"polygon-styles.html","title":"Custom styles for polygons","shortdesc":"Showing the vertices of a polygon with a custom style geometry.","tags":"polygon, vector, style, GeometryFunction","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.geom.MultiPoint","ol.layer.Vector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"popup.html","example":"popup.html","title":"Popup example","shortdesc":"Uses an overlay to create a popup.","tags":"overlay, popup, mapquest, openaerial","requires":["ol.Map","ol.Overlay","ol.View","ol.coordinate","ol.layer.Tile","ol.proj","ol.source.TileJSON"]},{"link":"preload.html","example":"preload.html","title":"Preload example","shortdesc":"Example of tile preloading.","tags":"preload, bing","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.BingMaps"]},{"link":"raster.html","example":"raster.html","title":"Raster Source","shortdesc":"Demonstrates pixelwise operations with a raster source.","tags":"raster, pixel","requires":["ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.source.BingMaps","ol.source.Raster"]},{"link":"region-growing.html","example":"region-growing.html","title":"Region Growing","shortdesc":"Grow a region from a seed pixel","tags":"raster, region growing","requires":["ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.proj","ol.source.BingMaps","ol.source.Raster"]},{"link":"regularshape.html","example":"regularshape.html","title":"Regular Shape example","shortdesc":"Example of some Regular Shape styles.","tags":"vector, symbol, regularshape, style, square, cross, star, triangle, x","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Fill","ol.style.RegularShape","ol.style.Stroke","ol.style.Style"]},{"link":"reprojection-by-code.html","example":"reprojection-by-code.html","title":"Reprojection with EPSG.io database search","shortdesc":"Demonstrates client-side raster reprojection of MapQuest OSM to arbitrary projection","tags":"reprojection, projection, proj4js, mapquest, epsg.io","requires":["ol.Map","ol.View","ol.extent","ol.layer.Tile","ol.proj","ol.source.MapQuest","ol.source.TileImage"]},{"link":"reprojection-image.html","example":"reprojection-image.html","title":"Image reprojection example","shortdesc":"Demonstrates client-side reprojection of single image source.","tags":"reprojection, projection, proj4js, mapquest, image, imagestatic","requires":["ol.Map","ol.View","ol.extent","ol.layer.Image","ol.layer.Tile","ol.proj","ol.source.ImageStatic","ol.source.MapQuest"]},{"link":"reprojection-wgs84.html","example":"reprojection-wgs84.html","title":"OpenStreetMap reprojection example","shortdesc":"Demonstrates client-side reprojection of OpenStreetMap in WGS84.","tags":"reprojection, projection, openstreetmap, wgs84, tile","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.OSM"]},{"link":"reprojection.html","example":"reprojection.html","title":"Raster reprojection example","shortdesc":"Demonstrates client-side raster reprojection between various projections.","tags":"reprojection, projection, proj4js, mapquest, wms, wmts, hidpi","requires":["ol.Attribution","ol.Map","ol.View","ol.extent","ol.format.WMTSCapabilities","ol.layer.Tile","ol.proj","ol.source.MapQuest","ol.source.TileImage","ol.source.TileWMS","ol.source.WMTS","ol.source.XYZ","ol.tilegrid.TileGrid"]},{"link":"rotation.html","example":"rotation.html","title":"Rotation example","shortdesc":"Example of a rotated map.","tags":"rotation, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"scale-line.html","example":"scale-line.html","title":"Scale line example","shortdesc":"Example of a scale line.","tags":"scale-line, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.control.ScaleLine","ol.layer.Tile","ol.source.OSM"]},{"link":"select-features.html","example":"select-features.html","title":"Select features example","shortdesc":"Example of using the Select interaction.","tags":"select, vector","requires":["ol.Map","ol.View","ol.events.condition","ol.format.GeoJSON","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector"]},{"link":"semi-transparent-layer.html","example":"semi-transparent-layer.html","title":"Semi-transparent layer example","shortdesc":"Example of a map with a semi-transparent layer.","tags":"transparent, mapquest, tilejson","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.MapQuest","ol.source.TileJSON"]},{"link":"shaded-relief.html","example":"shaded-relief.html","title":"Shaded Relief","shortdesc":"Calculate shaded relief from elevation data","tags":"raster, shaded relief","requires":["ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.source.Raster","ol.source.TileJSON","ol.source.XYZ"]},{"link":"side-by-side.html","example":"side-by-side.html","title":"Side-by-side example","shortdesc":"The three maps, one WebGL, one Canvas, one DOM, share the same center, resolution, rotation and layers.","tags":"side-by-side, canvas, webgl, dom, canvas, sync, object","requires":["ol.Map","ol.View","ol.has","ol.layer.Tile","ol.source.MapQuest"]},{"link":"simple.html","example":"simple.html","title":"Simple example","shortdesc":"Example of a simple map.","tags":"simple, openstreetmap, attribution","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"snap.html","example":"snap.html","title":"Snap interaction example","shortdesc":"Example of using the snap interaction together with draw and modify interactions.","tags":"draw, edit, modify, vector, snap","requires":["ol.Map","ol.View","ol.interaction","ol.interaction.Draw","ol.interaction.Modify","ol.interaction.Select","ol.interaction.Snap","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"sphere-mollweide.html","example":"sphere-mollweide.html","title":"Sphere Mollweide example","shortdesc":"Example of a Sphere Mollweide map with a Graticule component.","tags":"graticule, Mollweide, projection, proj4js","requires":["ol.Graticule","ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Vector","ol.proj.Projection","ol.source.Vector"]},{"link":"stamen.html","example":"stamen.html","title":"Stamen example","shortdesc":"Example of a Stamen tile source.","tags":"stamen, watercolor, terrain-labels, two-layers","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.Stamen"]},{"link":"static-image.html","example":"static-image.html","title":"Static image example","shortdesc":"Example of a static image layer.","tags":"static image, xkcd","requires":["ol.Attribution","ol.Map","ol.View","ol.extent","ol.layer.Image","ol.proj.Projection","ol.source.ImageStatic"]},{"link":"symbol-atlas-webgl.html","example":"symbol-atlas-webgl.html","title":"Symbols with WebGL example","shortdesc":"Using symbols in an atlas with WebGL.","tags":"webgl, symbol, atlas, vector, point","requires":["ol.Feature","ol.Map","ol.View","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.AtlasManager","ol.style.Circle","ol.style.Fill","ol.style.RegularShape","ol.style.Stroke","ol.style.Style"]},{"link":"synthetic-lines.html","example":"synthetic-lines.html","title":"Synthetic lines example","shortdesc":"Synthetic lines example.","tags":"vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.LineString","ol.layer.Vector","ol.source.Vector","ol.style.Stroke","ol.style.Style"]},{"link":"synthetic-points.html","example":"synthetic-points.html","title":"Synthetic points example","shortdesc":"Synthetic points example.","tags":"vector","requires":["ol.Feature","ol.Map","ol.View","ol.geom.LineString","ol.geom.Point","ol.layer.Vector","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"teleport.html","example":"teleport.html","title":"Teleport example","shortdesc":"Example of moving a map from one target to another.","tags":"teleport, openstreetmap","requires":["ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM"]},{"link":"tile-load-events.html","example":"tile-load-events.html","title":"Tile load events example","shortdesc":"Example using tile load events.","tags":"tile, events, loading","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.TileJSON"]},{"link":"tilejson.html","example":"tilejson.html","title":"TileJSON example","shortdesc":"Example of a TileJSON layer.","tags":"tilejson","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.TileJSON"]},{"link":"tileutfgrid.html","example":"tileutfgrid.html","title":"TileUTFGrid example","shortdesc":"This example shows how to read data from a TileUTFGrid layer.","tags":"utfgrid, tileutfgrid, tilejson","requires":["ol.Map","ol.Overlay","ol.View","ol.layer.Tile","ol.source.TileJSON","ol.source.TileUTFGrid"]},{"link":"tissot.html","example":"tissot.html","title":"Tissot indicatrix example","shortdesc":"Draw Tissot's indicatrices on maps.","tags":"tissot, circle","requires":["ol.Feature","ol.Map","ol.Sphere","ol.View","ol.geom.Polygon","ol.layer.Tile","ol.layer.Vector","ol.source.TileWMS","ol.source.Vector"]},{"link":"topojson.html","example":"topojson.html","title":"TopoJSON example","shortdesc":"Demonstrates rendering of features from a TopoJSON topology.","tags":"topojson, vector, style","requires":["ol.Map","ol.View","ol.format.TopoJSON","ol.layer.Tile","ol.layer.Vector","ol.source.TileJSON","ol.source.Vector","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"translate-features.html","example":"translate-features.html","title":"Translate features example","shortdesc":"Example of a translate features interaction.","tags":"drag, translate, feature, vector, editing","requires":["ol.Feature","ol.Map","ol.View","ol.format.GeoJSON","ol.geom.LineString","ol.geom.Point","ol.interaction","ol.interaction.Select","ol.interaction.Translate","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector"]},{"link":"turf.html","example":"turf.html","title":"turf.js Example","shortdesc":"Example on how to use turf.js with OpenLayers 3.","tags":"vector, turfjs, along, distance","requires":["ol.Feature","ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.proj","ol.source.MapQuest","ol.source.Vector"]},{"link":"vector-esri-edit.html","example":"vector-esri-edit.html","title":"esri ArcGIS REST Feature Service example with editing","shortdesc":"Example of using an ArcGIS REST Feature Service in an editing application.","tags":"vector, esri, ArcGIS, REST, Feature, Service, bbox, loading, server, edit, updateFeature, addFeature","requires":["ol.Attribution","ol.Map","ol.View","ol.format.EsriJSON","ol.interaction","ol.interaction.Draw","ol.interaction.Modify","ol.interaction.Select","ol.layer.Tile","ol.layer.Vector","ol.loadingstrategy","ol.proj","ol.source.Vector","ol.source.XYZ"]},{"link":"vector-esri.html","example":"vector-esri.html","title":"esri ArcGIS REST Feature Service example","shortdesc":"Example of using an ArcGIS REST Feature Service with a BBOX strategy.","tags":"vector, esri, ArcGIS, REST, Feature, Service, bbox, loading, server","requires":["ol.Attribution","ol.Map","ol.View","ol.format.EsriJSON","ol.layer.Tile","ol.layer.Vector","ol.loadingstrategy","ol.proj","ol.source.Vector","ol.source.XYZ","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"vector-labels.html","example":"vector-labels.html","title":"Vector labels example","shortdesc":"Example of GeoJSON features with labels.","tags":"geojson, vector, openstreetmap, label","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"vector-layer.html","example":"vector-layer.html","title":"Vector layer example","shortdesc":"Example of a countries vector layer with country information.","tags":"vector, osm, xml, loading, server","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.source.MapQuest","ol.source.Vector","ol.style.Fill","ol.style.Stroke","ol.style.Style","ol.style.Text"]},{"link":"vector-osm.html","example":"vector-osm.html","title":"OSM XML example","shortdesc":"Example of using the OSM XML source.","tags":"vector, osm, xml, loading, server","requires":["ol.Map","ol.View","ol.control","ol.format.OSMXML","ol.layer.Tile","ol.layer.Vector","ol.loadingstrategy","ol.proj","ol.source.BingMaps","ol.source.Vector","ol.style.Circle","ol.style.Fill","ol.style.Stroke","ol.style.Style"]},{"link":"vector-wfs.html","example":"vector-wfs.html","title":"WFS example","shortdesc":"Example of using WFS with a BBOX strategy.","tags":"vector, WFS, bbox, loading, server","requires":["ol.Map","ol.View","ol.format.GeoJSON","ol.layer.Tile","ol.layer.Vector","ol.loadingstrategy","ol.source.BingMaps","ol.source.Vector","ol.style.Stroke","ol.style.Style"]},{"link":"wkt.html","example":"wkt.html","title":"WKT example","shortdesc":"Example of using the WKT parser.","tags":"wkt, well known text","requires":["ol.Map","ol.View","ol.format.WKT","ol.layer.Tile","ol.layer.Vector","ol.source.OSM","ol.source.Vector"]},{"link":"wms-capabilities.html","example":"wms-capabilities.html","title":"WMS GetCapabilities parsing example","shortdesc":"Example of parsing a WMS GetCapabilities response.","tags":"wms, capabilities, getcapabilities","requires":["ol.format.WMSCapabilities"]},{"link":"wms-custom-proj.html","example":"wms-custom-proj.html","title":"Tiled WMS with custom projection example","shortdesc":"Example of using custom coordinate transform functions.","tags":"wms, tile, tilelayer, projection","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.control.ScaleLine","ol.layer.Tile","ol.proj","ol.proj.Projection","ol.source.TileWMS"]},{"link":"wms-custom-tilegrid-512x256.html","example":"wms-custom-tilegrid-512x256.html","title":"WMS custom tile grid 512x256 example","shortdesc":"Example of a WMS layer with 512x256px tiles.","tags":"wms, tile, non-square","requires":["ol.Map","ol.View","ol.extent","ol.layer.Tile","ol.proj","ol.source.MapQuest","ol.source.TileWMS","ol.tilegrid.TileGrid"]},{"link":"wms-image-custom-proj.html","example":"wms-image-custom-proj.html","title":"Single image WMS with Proj4js projection example","shortdesc":"Example of integrating Proj4js for coordinate transforms.","tags":"wms, single image, proj4js, projection","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.control.ScaleLine","ol.layer.Image","ol.proj","ol.proj.Projection","ol.source.ImageWMS"]},{"link":"wms-image.html","example":"wms-image.html","title":"Single image WMS example","shortdesc":"Example of a single image WMS layer.","tags":"wms, image","requires":["ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.source.ImageWMS","ol.source.MapQuest"]},{"link":"wms-no-proj.html","example":"wms-no-proj.html","title":"WMS without client projection example","shortdesc":"Example of two WMS layers using the projection EPSG:21781, which is unknown to the client.","tags":"wms, projection","requires":["ol.Attribution","ol.Map","ol.View","ol.layer.Image","ol.layer.Tile","ol.proj.Projection","ol.source.ImageWMS","ol.source.TileWMS"]},{"link":"wms-tiled-wrap-180.html","example":"wms-tiled-wrap-180.html","title":"Tiled WMS wrap 180° meridian example","shortdesc":"Example of a tiled WMS layer that wraps across the 180° meridian.","tags":"wms, tile, dateline, wrap, 180","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.MapQuest","ol.source.TileWMS"]},{"link":"wms-tiled.html","example":"wms-tiled.html","title":"Tiled WMS example","shortdesc":"Example of a tiled WMS layer.","tags":"wms, tile, tilelayer","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.MapQuest","ol.source.TileWMS"]},{"link":"wmts-capabilities.html","example":"wmts-capabilities.html","title":"WMTS GetCapabilities parsing example","shortdesc":"Example of parsing a WMTS GetCapabilities response.","tags":"wmts, capabilities, getcapabilities","requires":["ol.format.WMTSCapabilities"]},{"link":"wmts-hidpi.html","example":"wmts-hidpi.html","title":"WMTS HiDPI example","shortdesc":"Example of a WMTS based HiDPI layer.","tags":"hidpi, retina, wmts","requires":["ol.Map","ol.View","ol.format.WMTSCapabilities","ol.has","ol.layer.Tile","ol.source.WMTS"]},{"link":"wmts-ign.html","example":"wmts-ign.html","title":"IGN WMTS example","shortdesc":"Demonstrates displaying IGN (France) WMTS layers.","tags":"french, ign, geoportail, wmts","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.extent","ol.layer.Tile","ol.proj","ol.source.WMTS","ol.tilegrid.WMTS"]},{"link":"wmts-layer-from-capabilities.html","example":"wmts-layer-from-capabilities.html","title":"WMTS Layer from capabilities example","shortdesc":"Example of a WMTS source created from a WMTS capabilities document.","tags":"wmts, capabilities, getcapabilities","requires":["ol.Map","ol.View","ol.format.WMTSCapabilities","ol.layer.Tile","ol.source.OSM","ol.source.WMTS"]},{"link":"wmts.html","example":"wmts.html","title":"WMTS example","shortdesc":"Example of a WMTS source.","tags":"wmts","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.extent","ol.layer.Tile","ol.proj","ol.source.OSM","ol.source.WMTS","ol.tilegrid.WMTS"]},{"link":"xyz-esri-4326-512.html","example":"xyz-esri-4326-512.html","title":"XYZ Esri EPSG:4326 tileSize 512 example","shortdesc":"Example of a XYZ source in EPSG:4326 using Esri 512x512 tiles.","tags":"xyz, esri, tilesize, custom projection","requires":["ol.Attribution","ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.XYZ"]},{"link":"xyz-esri.html","example":"xyz-esri.html","title":"XYZ Esri example","shortdesc":"Example of a XYZ source using Esri tiles.","tags":"xyz, esri, arcgis rest","requires":["ol.Attribution","ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.XYZ"]},{"link":"xyz-retina.html","example":"xyz-retina.html","title":"XYZ Retina tiles example","shortdesc":"Example of Retina / HiDPI mercator tiles (512x512px) available as XYZ.","tags":"retina, hidpi, xyz, maptiler, @2x, devicePixelRatio","requires":["ol.Attribution","ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.source.OSM","ol.source.XYZ"]},{"link":"xyz.html","example":"xyz.html","title":"XYZ Example","shortdesc":"Example of a XYZ source.","tags":"xyz","requires":["ol.Attribution","ol.Map","ol.View","ol.control","ol.layer.Tile","ol.source.OSM","ol.source.XYZ"]},{"link":"zoom-constrained.html","example":"zoom-constrained.html","title":"Zoom Constrained Example","shortdesc":"Example of a zoom constrained view.","tags":"bing, zoom, minZoom, maxZoom","requires":["ol.Map","ol.View","ol.layer.Tile","ol.source.BingMaps"]},{"link":"zoomify.html","example":"zoomify.html","title":"Zoomify example","shortdesc":"Example of a Zoomify source.","tags":"zoomify, deep zoom, pixel, projection","requires":["ol.Map","ol.View","ol.layer.Tile","ol.proj","ol.proj.Projection","ol.source.Zoomify"]},{"link":"zoomslider.html","example":"zoomslider.html","title":"Zoom slider example","shortdesc":"Example of various ZoomSlider controls.","tags":"zoom, zoomslider, slider, style, styling, css, control","requires":["ol.Map","ol.View","ol.control.ZoomSlider","ol.layer.Tile","ol.source.MapQuest"]}],"index":{"3":{"45":1,"106":1},"180":{"120":1},"512":{"127":1},"3857":{"17":1},"4326":{"17":1,"23":1,"127":1},"21781":{"119":1},"example":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"23":1,"24":1,"25":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"48":1,"49":1,"50":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"76":1,"77":1,"80":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1,"125":1,"126":1,"127":1,"128":1,"129":1,"130":1,"131":1,"132":1,"133":1},"of":{"0":1,"2":1,"3":1,"4":1,"10":1,"13":1,"14":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"35":1,"37":1,"40":1,"43":1,"46":1,"48":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"65":1,"68":1,"69":1,"72":1,"73":1,"75":1,"77":1,"80":1,"81":1,"82":1,"83":1,"85":1,"86":1,"87":1,"88":1,"91":1,"92":1,"93":1,"94":1,"95":1,"99":1,"101":1,"104":1,"105":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"125":1,"126":1,"127":1,"128":1,"129":1,"130":1,"131":1,"132":1,"133":1},"an":{"0":1,"16":1,"39":1,"40":1,"43":1,"76":1,"96":1,"107":1,"108":1},"accessible":{"0":1},"map":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"123":1,"124":1,"125":1,"126":1,"127":1,"128":1,"129":1,"130":1,"131":1,"132":1,"133":1},"accessibility":{"0":1},"tabindex":{"0":1},"ol":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"122":1,"123":1,"124":1,"125":1,"126":1,"127":1,"128":1,"129":1,"130":1,"131":1,"132":1,"133":1},"view":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"123":1,"124":1,"125":1,"126":1,"127":1,"128":1,"129":1,"130":1,"131":1,"132":1,"133":1},"control":{"0":1,"1":1,"3":1,"8":1,"9":1,"12":1,"15":1,"23":1,"24":1,"25":1,"28":1,"29":1,"30":1,"31":1,"32":1,"40":1,"49":1,"50":1,"54":1,"58":1,"64":1,"68":1,"69":1,"70":1,"72":1,"73":1,"74":1,"85":1,"86":1,"91":1,"99":1,"111":1,"115":1,"117":1,"124":1,"126":1,"130":1,"133":1},"layer":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"123":1,"124":1,"125":1,"126":1,"127":1,"128":1,"129":1,"130":1,"131":1,"132":1,"133":1},"tile":{"0":1,"1":1,"2":1,"3":1,"4":1,"6":1,"7":1,"8":1,"9":1,"10":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"28":1,"29":1,"30":1,"31":1,"32":1,"34":1,"35":1,"36":1,"37":1,"39":1,"40":1,"41":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"56":1,"57":1,"58":1,"59":1,"62":1,"63":1,"64":1,"65":1,"66":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"76":1,"77":1,"78":1,"79":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"94":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"115":1,"116":1,"118":1,"119":1,"120":1,"121":1,"123":1,"124":1,"125":1,"126":1,"127":1,"128":1,"129":1,"130":1,"131":1,"132":1,"133":1},"source":{"0":1,"1":1,"2":1,"3":1,"4":1,"5":1,"6":1,"7":1,"8":1,"9":1,"10":1,"11":1,"12":1,"13":1,"14":1,"15":1,"16":1,"17":1,"18":1,"19":1,"20":1,"21":1,"22":1,"23":1,"24":1,"25":1,"26":1,"27":1,"28":1,"29":1,"30":1,"31":1,"32":1,"33":1,"34":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"41":1,"42":1,"43":1,"45":1,"46":1,"47":1,"48":1,"49":1,"50":1,"51":1,"52":1,"53":1,"54":1,"55":1,"56":1,"57":1,"58":1,"59":1,"60":1,"61":1,"62":1,"63":1,"64":1,"65":1,"66":1,"67":1,"68":1,"69":1,"70":1,"71":1,"72":1,"73":1,"74":1,"75":1,"76":1,"77":1,"78":1,"79":1,"80":1,"81":1,"82":1,"83":1,"84":1,"85":1,"86":1,"87":1,"88":1,"89":1,"90":1,"91":1,"92":1,"93":1,"94":1,"95":1,"96":1,"97":1,"98":1,"99":1,"100":1,"101":1,"102":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1,"123":1,"124":1,"125":1,"126":1,"127":1,"128":1,"129":1,"130":1,"131":1,"132":1,"133":1},"osm":{"0":1,"1":1,"3":1,"6":1,"7":1,"8":1,"9":1,"12":1,"15":1,"24":1,"25":1,"30":1,"31":1,"32":1,"36":1,"40":1,"49":1,"50":1,"54":1,"58":1,"64":1,"68":1,"69":1,"70":1,"72":1,"73":1,"74":1,"81":1,"83":1,"85":1,"86":1,"91":1,"99":1,"110":1,"111":1,"113":1,"125":1,"126":1,"129":1,"130":1},"demonstrates":{"1":1,"9":1,"11":1,"22":1,"25":1,"26":1,"37":1,"46":1,"47":1,"71":1,"78":1,"81":1,"82":1,"83":1,"84":1,"104":1,"124":1},"animated":{"1":1},"pan":{"1":1},"zoom":{"1":1,"18":1,"28":1,"131":1,"132":1,"133":1},"and":{"1":1,"5":1,"14":1,"16":1,"17":1,"18":1,"19":1,"28":1,"31":1,"58":1,"90":1,"92":1},"rotation":{"1":1,"9":1,"85":1,"90":1},"animation":{"1":1,"25":1,"26":1},"proj":{"1":1,"8":1,"14":1,"15":1,"25":1,"31":1,"35":1,"36":1,"41":1,"45":1,"48":1,"51":1,"52":1,"53":1,"59":1,"62":1,"63":1,"68":1,"69":1,"71":1,"76":1,"79":1,"81":1,"82":1,"84":1,"88":1,"93":1,"94":1,"95":1,"106":1,"107":1,"108":1,"111":1,"115":1,"116":1,"117":1,"119":1,"124":1,"126":1,"127":1,"128":1,"129":1,"132":1},"a":{"2":1,"3":1,"4":1,"6":1,"9":1,"11":1,"13":1,"16":1,"18":1,"22":1,"23":1,"24":1,"26":1,"27":1,"29":1,"31":1,"32":1,"33":1,"34":1,"36":1,"37":1,"39":1,"41":1,"46":1,"51":1,"52":1,"53":1,"54":1,"56":1,"58":1,"59":1,"60":1,"61":1,"62":1,"65":1,"68":1,"75":1,"76":1,"78":1,"79":1,"85":1,"86":1,"88":1,"91":1,"93":1,"94":1,"95":1,"99":1,"101":1,"102":1,"104":1,"105":1,"108":1,"110":1,"112":1,"114":1,"116":1,"118":1,"120":1,"121":1,"122":1,"123":1,"125":1,"126":1,"127":1,"128":1,"130":1,"131":1,"132":1},"tiled":{"2":1,"115":1,"120":1,"121":1},"arcgis":{"2":1,"107":1,"108":1,"128":1},"mapserver":{"2":1},"tilelayer":{"2":1,"115":1,"121":1},"mapquest":{"2":1,"10":1,"18":1,"19":1,"20":1,"21":1,"43":1,"45":1,"52":1,"56":1,"57":1,"62":1,"63":1,"66":1,"71":1,"76":1,"81":1,"82":1,"84":1,"87":1,"88":1,"90":1,"92":1,"105":1,"106":1,"109":1,"110":1,"116":1,"118":1,"120":1,"121":1,"133":1},"tilearcgisrest":{"2":1},"attributions":{"3":1},"visibily":{"3":1},"change":{"3":1,"5":1},"on":{"3":1,"16":1,"17":1,"33":1,"34":1,"40":1,"45":1,"64":1,"74":1,"103":1,"106":1},"resize":{"3":1},"to":{"3":1,"5":1,"6":1,"7":1,"12":1,"15":1,"16":1,"17":1,"18":1,"22":1,"25":1,"26":1,"33":1,"34":1,"36":1,"39":1,"41":1,"45":1,"46":1,"51":1,"62":1,"70":1,"74":1,"76":1,"81":1,"99":1,"102":1,"106":1,"119":1},"collapse":{"3":1},"them":{"3":1},"small":{"3":1},"maps":{"3":1,"4":1,"28":1,"29":1,"90":1,"103":1},"openstreetmap":{"3":1,"8":1,"9":1,"15":1,"24":1,"30":1,"32":1,"49":1,"50":1,"54":1,"58":1,"68":1,"74":1,"83":1,"85":1,"86":1,"91":1,"99":1,"109":1},"attribution":{"3":1,"40":1,"58":1,"59":1,"60":1,"84":1,"91":1,"95":1,"107":1,"108":1,"115":1,"117":1,"119":1,"124":1,"126":1,"127":1,"128":1,"129":1,"130":1},"bing":{"4":1,"28":1,"29":1,"77":1,"131":1},"bingmaps":{"4":1,"16":1,"17":1,"26":1,"28":1,"29":1,"35":1,"41":1,"48":1,"53":1,"54":1,"65":1,"77":1,"78":1,"79":1,"111":1,"112":1,"131":1},"shows":{"5":1,"7":1,"12":1,"33":1,"34":1,"36":1,"62":1,"70":1,"102":1},"how":{"5":1,"7":1,"9":1,"12":1,"25":1,"26":1,"33":1,"34":1,"36":1,"45":1,"62":1,"70":1,"74":1,"102":1,"106":1},"the":{"5":1,"7":1,"16":1,"17":1,"19":1,"20":1,"22":1,"35":1,"37":1,"40":1,"46":1,"48":1,"63":1,"66":1,"68":1,"69":1,"75":1,"87":1,"90":1,"92":1,"111":1,"113":1,"119":1,"120":1},"canvas":{"5":1,"8":1,"90":1},"compositing":{"5":1},"blending":{"5":1},"mode":{"5":1},"in":{"5":1,"17":1,"23":1,"46":1,"47":1,"83":1,"96":1,"107":1,"127":1},"post":{"5":1},"precompose":{"5":1},"eventhandlers":{"5":1},"blend":{"5":1},"modes":{"5":1},"blendmode":{"5":1},"blendingmode":{"5":1},"composition":{"5":1},"vector":{"5":1,"6":1,"9":1,"10":1,"13":1,"16":1,"17":1,"19":1,"20":1,"22":1,"24":1,"25":1,"26":1,"27":1,"30":1,"32":1,"35":1,"37":1,"38":1,"39":1,"40":1,"43":1,"45":1,"46":1,"47":1,"48":1,"55":1,"57":1,"59":1,"60":1,"63":1,"66":1,"67":1,"75":1,"80":1,"87":1,"92":1,"93":1,"96":1,"97":1,"98":1,"103":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1},"feature":{"5":1,"6":1,"10":1,"13":1,"21":1,"25":1,"26":1,"27":1,"30":1,"32":1,"38":1,"39":1,"40":1,"45":1,"55":1,"67":1,"80":1,"96":1,"97":1,"98":1,"103":1,"105":1,"106":1,"107":1,"108":1},"geom":{"5":1,"9":1,"10":1,"13":1,"20":1,"21":1,"25":1,"26":1,"27":1,"30":1,"31":1,"32":1,"38":1,"39":1,"40":1,"55":1,"57":1,"63":1,"75":1,"80":1,"96":1,"97":1,"98":1,"103":1,"105":1},"point":{"5":1,"9":1,"10":1,"13":1,"21":1,"25":1,"26":1,"32":1,"38":1,"39":1,"40":1,"55":1,"57":1,"80":1,"96":1,"98":1,"105":1},"style":{"5":1,"9":1,"10":1,"13":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"25":1,"26":1,"30":1,"32":1,"35":1,"36":1,"37":1,"38":1,"39":1,"40":1,"43":1,"46":1,"47":1,"55":1,"57":1,"59":1,"60":1,"63":1,"67":1,"75":1,"80":1,"92":1,"96":1,"97":1,"98":1,"104":1,"108":1,"109":1,"110":1,"111":1,"112":1,"133":1},"circle":{"5":1,"9":1,"10":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"25":1,"26":1,"30":1,"32":1,"35":1,"40":1,"46":1,"63":1,"67":1,"75":1,"92":1,"96":1,"98":1,"103":1,"109":1,"111":1},"fill":{"5":1,"9":1,"10":1,"13":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"26":1,"30":1,"32":1,"35":1,"40":1,"43":1,"46":1,"47":1,"55":1,"59":1,"60":1,"63":1,"67":1,"75":1,"80":1,"92":1,"96":1,"98":1,"104":1,"108":1,"109":1,"110":1,"111":1},"stroke":{"5":1,"9":1,"10":1,"13":1,"16":1,"17":1,"19":1,"20":1,"21":1,"22":1,"25":1,"26":1,"30":1,"32":1,"35":1,"36":1,"40":1,"43":1,"46":1,"47":1,"55":1,"57":1,"59":1,"60":1,"63":1,"67":1,"75":1,"80":1,"92":1,"96":1,"97":1,"98":1,"104":1,"108":1,"109":1,"110":1,"111":1,"112":1},"using":{"6":1,"10":1,"14":1,"16":1,"17":1,"19":1,"20":1,"35":1,"39":1,"42":1,"48":1,"55":1,"63":1,"87":1,"92":1,"96":1,"100":1,"107":1,"108":1,"111":1,"112":1,"113":1,"115":1,"119":1,"127":1,"128":1},"dragbox":{"6":1},"interaction":{"6":1,"13":1,"16":1,"17":1,"18":1,"19":1,"20":1,"22":1,"28":1,"57":1,"63":1,"66":1,"67":1,"72":1,"87":1,"92":1,"105":1,"107":1},"select":{"6":1,"22":1,"66":1,"67":1,"87":1,"92":1,"105":1,"107":1},"features":{"6":1,"19":1,"20":1,"22":1,"25":1,"30":1,"66":1,"67":1,"87":1,"104":1,"105":1,"109":1},"box":{"6":1},"selection":{"6":1},"events":{"6":1,"15":1,"19":1,"42":1,"87":1,"100":1},"condition":{"6":1,"19":1,"87":1},"format":{"6":1,"9":1,"16":1,"17":1,"22":1,"24":1,"26":1,"30":1,"35":1,"37":1,"40":1,"43":1,"45":1,"46":1,"47":1,"48":1,"59":1,"60":1,"66":1,"67":1,"75":1,"84":1,"87":1,"93":1,"104":1,"105":1,"106":1,"107":1,"108":1,"109":1,"110":1,"111":1,"112":1,"113":1,"114":1,"122":1,"123":1,"125":1},"geojson":{"6":1,"9":1,"16":1,"17":1,"24":1,"30":1,"43":1,"45":1,"66":1,"67":1,"75":1,"87":1,"93":1,"105":1,"106":1,"109":1,"110":1,"112":1},"this":{"7":1,"9":1,"17":1,"33":1,"34":1,"36":1,"102":1},"customize":{"7":1},"buttons":{"7":1},"tooltips":{"7":1},"with":{"7":1,"8":1,"11":1,"16":1,"17":1,"19":1,"28":1,"31":1,"38":1,"45":1,"52":1,"58":1,"59":1,"66":1,"72":1,"75":1,"78":1,"81":1,"88":1,"92":1,"93":1,"96":1,"106":1,"107":1,"108":1,"109":1,"110":1,"112":1,"115":1,"116":1,"117":1},"bootstrap":{"7":1,"71":1},"custom":{"7":1,"12":1,"13":1,"58":1,"59":1,"62":1,"75":1,"115":1,"116":1,"127":1},"tooltip":{"7":1,"46":1},"renders":{"8":1},"tiles":{"8":1,"59":1,"60":1,"116":1,"127":1,"128":1,"129":1},"coordinates":{"8":1},"for":{"8":1,"33":1,"34":1,"57":1,"63":1,"67":1,"75":1,"117":1},"debugging":{"8":1},"layers":{"8":1,"55":1,"64":1,"90":1,"94":1,"119":1,"124":1},"tiledebug":{"8":1},"s":{"9":1,"103":1},"can":{"9":1},"be":{"9":1},"adjusted":{"9":1},"so":{"9":1,"17":1},"geometry":{"9":1,"22":1,"40":1,"75":1},"or":{"9":1,"16":1,"17":1},"coordinate":{"9":1,"68":1,"71":1,"76":1,"115":1,"117":1},"is":{"9":1,"16":1,"17":1,"119":1},"positioned":{"9":1},"at":{"9":1},"specific":{"9":1},"pixel":{"9":1,"78":1,"79":1,"132":1},"location":{"9":1},"advanced":{"9":1,"59":1,"72":1},"positioning":{"9":1},"center":{"9":1,"90":1},"simplegeometry":{"9":1},"code":{"10":1},"cluster":{"10":1,"22":1},"clustering":{"10":1},"text":{"10":1,"22":1,"59":1,"60":1,"109":1,"110":1,"113":1},"color":{"11":1},"manipulation":{"11":1,"41":1,"53":1},"raster":{"11":1,"78":1,"79":1,"81":1,"84":1,"89":1},"manipulating":{"11":1},"colors":{"11":1},"hue":{"11":1},"lightness":{"11":1},"chroma":{"11":1},"image":{"11":1,"14":1,"16":1,"24":1,"33":1,"41":1,"42":1,"43":1,"53":1,"61":1,"78":1,"79":1,"82":1,"89":1,"95":1,"117":1,"118":1,"119":1},"stamen":{"11":1,"14":1,"22":1,"37":1,"46":1,"47":1,"94":1},"create":{"12":1,"62":1,"74":1,"76":1},"controls":{"12":1,"62":1,"70":1,"133":1},"drag":{"13":1,"16":1,"17":1,"18":1,"28":1,"105":1},"editing":{"13":1,"66":1,"105":1,"107":1},"linestring":{"13":1,"27":1,"31":1,"40":1,"57":1,"63":1,"97":1,"98":1,"105":1},"polygon":{"13":1,"20":1,"63":1,"75":1,"103":1},"pointer":{"13":1},"tilejson":{"13":1,"39":1,"51":1,"52":1,"64":1,"76":1,"88":1,"89":1,"100":1,"101":1,"102":1,"104":1},"icon":{"13":1,"26":1,"38":1,"39":1,"57":1,"59":1,"60":1},"ol3":{"14":1},"d3":{"14":1},"together":{"14":1,"19":1,"92":1},"integration":{"14":1},"extent":{"14":1,"22":1,"51":1,"69":1,"70":1,"81":1,"82":1,"84":1,"95":1,"116":1,"124":1,"126":1},"imagecanvas":{"14":1},"listen":{"15":1},"deviceorientation":{"15":1},"device":{"15":1},"orientation":{"15":1,"31":1},"drop":{"16":1,"17":1},"imagevector":{"16":1,"43":1},"gpx":{"16":1,"17":1,"35":1},"igc":{"16":1,"17":1,"40":1},"kml":{"16":1,"17":1,"22":1,"37":1,"46":1,"47":1,"48":1},"topojson":{"16":1,"17":1,"104":1},"files":{"16":1,"17":1},"each":{"16":1,"57":1},"file":{"16":1,"40":1},"rendered":{"16":1},"client":{"16":1,"81":1,"82":1,"83":1,"84":1,"119":1},"draganddrop":{"16":1,"17":1},"there":{"17":1},"no":{"17":1},"projection":{"17":1,"81":1,"82":1,"83":1,"84":1,"93":1,"95":1,"115":1,"117":1,"119":1,"127":1,"132":1},"transform":{"17":1,"115":1},"support":{"17":1},"will":{"17":1},"only":{"17":1},"work":{"17":1},"data":{"17":1,"21":1,"89":1,"102":1},"epsg":{"17":1,"23":1,"81":1,"119":1,"127":1},"single":{"18":1,"82":1,"117":1,"118":1},"rotate":{"18":1,"28":1},"dragrotateandzoom":{"18":1,"28":1,"72":1},"draw":{"19":1,"20":1,"57":1,"63":1,"92":1,"103":1,"107":1},"modify":{"19":1,"66":1,"67":1,"92":1,"107":1},"edit":{"19":1,"20":1,"63":1,"66":1,"67":1,"92":1,"107":1},"featureoverlay":{"19":1},"collection":{"19":1},"freehand":{"20":1},"dynamic":{"21":1},"multipoint":{"21":1,"75":1},"use":{"22":1,"37":1,"45":1,"46":1,"69":1,"106":1},"geometries":{"22":1},"render":{"22":1,"46":1},"earthquake":{"22":1,"46":1},"clusters":{"22":1},"regularshape":{"22":1,"55":1,"80":1,"96":1},"epsg4326":{"23":1},"scaleline":{"23":1,"86":1,"115":1,"117":1},"tilewms":{"23":1,"34":1,"84":1,"103":1,"115":1,"116":1,"119":1,"120":1,"121":1},"exporting":{"24":1},"as":{"24":1,"129":1},"png":{"24":1},"export":{"24":1},"animate":{"25":1,"26":1},"flash":{"25":1},"observable":{"25":1,"63":1},"easing":{"25":1},"move":{"26":1},"along":{"26":1,"106":1},"line":{"26":1,"57":1,"86":1},"movement":{"26":1},"postcompose":{"26":1},"polyline":{"26":1},"fractal":{"27":1},"full":{"28":1,"29":1,"65":1},"screen":{"28":1,"29":1,"65":1},"effect":{"28":1},"fullscreen":{"28":1,"29":1,"31":1,"65":1},"geolocated":{"31":1},"oriented":{"31":1},"geolocation":{"31":1,"32":1,"65":1},"tracking":{"31":1},"mobile":{"31":1,"59":1,"65":1},"overlay":{"31":1,"36":1,"39":1,"63":1,"71":1,"76":1,"102":1},"trigger":{"33":1,"34":1},"wms":{"33":1,"34":1,"84":1,"114":1,"115":1,"116":1,"117":1,"118":1,"119":1,"120":1,"121":1},"getfeatureinfo":{"33":1,"34":1},"requests":{"33":1,"34":1},"click":{"33":1,"34":1},"foreachlayeratpixel":{"33":1,"34":1},"imagewms":{"33":1,"42":1,"117":1,"118":1,"119":1},"add":{"36":1,"70":1},"graticule":{"36":1,"93":1},"heatmap":{"37":1},"earthquakes":{"37":1,"46":1},"sprite":{"38":1},"webgl":{"38":1,"49":1,"90":1,"96":1},"sprites":{"38":1},"symbolize":{"39":1},"marker":{"39":1},"popup":{"39":1,"71":1,"76":1},"tracks":{"40":1},"recorded":{"40":1},"from":{"40":1,"47":1,"79":1,"89":1,"99":1,"102":1,"104":1,"125":1},"multiple":{"40":1},"paraglider":{"40":1},"flights":{"40":1},"same":{"40":1,"90":1},"day":{"40":1},"read":{"40":1,"102":1},"complex":{"40":1},"closest":{"40":1},"opencyclemap":{"40":1},"apply":{"41":1},"filter":{"41":1},"imagery":{"41":1},"load":{"42":1,"100":1},"loading":{"42":1,"100":1,"107":1,"108":1,"110":1,"111":1,"112":1},"jsts":{"45":1},"openlayers":{"45":1,"106":1},"buffer":{"45":1},"shape":{"46":1,"80":1},"symbolizer":{"46":1},"locations":{"46":1},"rendering":{"47":1,"51":1,"104":1},"timezones":{"47":1},"clipping":{"49":1,"50":1},"has":{"49":1,"90":1,"123":1},"restricting":{"51":1},"limited":{"51":1},"group":{"52":1,"62":1},"input":{"52":1},"bind":{"52":1},"layergroup":{"52":1},"portion":{"53":1},"one":{"53":1,"90":1,"99":1},"over":{"53":1},"another":{"53":1,"99":1},"spy":{"53":1},"swipe":{"54":1},"ordering":{"55":1},"z":{"55":1},"index":{"55":1},"setting":{"56":1},"after":{"56":1},"construction":{"56":1},"lazy":{"56":1},"drawing":{"57":1},"arrows":{"57":1},"string":{"57":1},"segment":{"57":1},"arrow":{"57":1},"localized":{"58":1},"server":{"58":1,"107":1,"108":1,"110":1,"111":1,"112":1},"cors":{"58":1},"openseamap":{"58":1},"mapbox":{"59":1,"60":1},"grid":{"59":1,"116":1},"mvt":{"59":1,"60":1},"vectortile":{"59":1,"60":1},"tilegrid":{"59":1,"84":1,"116":1,"124":1,"126":1},"simple":{"60":1,"63":1,"91":1},"untiled":{"61":1},"mapguide":{"61":1},"imagemapguide":{"61":1},"creating":{"63":1},"measuring":{"63":1},"application":{"63":1,"107":1},"measure":{"63":1},"sphere":{"63":1,"93":1,"103":1},"show":{"64":1},"hide":{"64":1},"depending":{"64":1},"current":{"64":1},"resolution":{"64":1,"90":1},"min":{"64":1},"max":{"64":1},"minresolution":{"64":1},"maxresolution":{"64":1},"testing":{"67":1},"modification":{"67":1},"test":{"67":1},"mouse":{"68":1},"position":{"68":1},"outside":{"68":1},"mouseposition":{"68":1},"moveend":{"69":1},"event":{"69":1},"navigation":{"70":1},"zoomtoextent":{"70":1},"overlays":{"71":1},"popover":{"71":1},"openaerial":{"71":1,"76":1},"overviewmap":{"72":1,"73":1},"customization":{"72":1},"overview":{"72":1,"73":1},"permalinks":{"74":1},"permalink":{"74":1},"history":{"74":1},"showing":{"75":1},"vertices":{"75":1},"styles":{"75":1,"80":1},"polygons":{"75":1},"geometryfunction":{"75":1},"uses":{"76":1},"preloading":{"77":1},"preload":{"77":1},"pixelwise":{"78":1},"operations":{"78":1},"grow":{"79":1},"region":{"79":1},"seed":{"79":1},"growing":{"79":1},"some":{"80":1},"regular":{"80":1},"symbol":{"80":1,"96":1},"square":{"80":1,"116":1},"cross":{"80":1},"star":{"80":1},"triangle":{"80":1},"x":{"80":1},"side":{"81":1,"82":1,"83":1,"84":1,"90":1},"reprojection":{"81":1,"82":1,"83":1,"84":1},"arbitrary":{"81":1},"io":{"81":1},"database":{"81":1},"search":{"81":1},"proj4js":{"81":1,"82":1,"84":1,"93":1,"117":1},"tileimage":{"81":1,"84":1},"imagestatic":{"82":1,"95":1},"wgs84":{"83":1},"between":{"84":1},"various":{"84":1,"133":1},"projections":{"84":1},"wmts":{"84":1,"122":1,"123":1,"124":1,"125":1,"126":1},"hidpi":{"84":1,"123":1,"129":1},"wmtscapabilities":{"84":1,"122":1,"123":1,"125":1},"xyz":{"84":1,"89":1,"107":1,"108":1,"127":1,"128":1,"129":1,"130":1},"rotated":{"85":1},"scale":{"86":1},"semi":{"88":1},"transparent":{"88":1},"calculate":{"89":1},"shaded":{"89":1},"relief":{"89":1},"elevation":{"89":1},"three":{"90":1},"dom":{"90":1},"share":{"90":1},"by":{"90":1},"sync":{"90":1},"object":{"90":1},"snap":{"92":1},"interactions":{"92":1},"mollweide":{"93":1},"component":{"93":1},"watercolor":{"94":1},"terrain":{"94":1},"labels":{"94":1,"109":1},"two":{"94":1,"119":1},"static":{"95":1},"xkcd":{"95":1},"symbols":{"96":1},"atlas":{"96":1},"atlasmanager":{"96":1},"synthetic":{"97":1,"98":1},"lines":{"97":1},"points":{"98":1},"moving":{"99":1},"target":{"99":1},"teleport":{"99":1},"tileutfgrid":{"102":1},"utfgrid":{"102":1},"tissot":{"103":1},"indicatrices":{"103":1},"indicatrix":{"103":1},"topology":{"104":1},"translate":{"105":1},"turf":{"106":1},"js":{"106":1},"turfjs":{"106":1},"distance":{"106":1},"rest":{"107":1,"108":1,"128":1},"service":{"107":1,"108":1},"esri":{"107":1,"108":1,"127":1,"128":1},"bbox":{"107":1,"108":1,"112":1},"updatefeature":{"107":1},"addfeature":{"107":1},"esrijson":{"107":1,"108":1},"loadingstrategy":{"107":1,"108":1,"111":1,"112":1},"strategy":{"108":1,"112":1},"label":{"109":1},"countries":{"110":1},"country":{"110":1},"information":{"110":1},"xml":{"110":1,"111":1},"osmxml":{"111":1},"wfs":{"112":1},"wkt":{"113":1},"parser":{"113":1},"well":{"113":1},"known":{"113":1},"parsing":{"114":1,"122":1},"getcapabilities":{"114":1,"122":1,"125":1},"response":{"114":1,"122":1},"capabilities":{"114":1,"122":1,"125":1},"wmscapabilities":{"114":1},"functions":{"115":1},"512x256px":{"116":1},"512x256":{"116":1},"non":{"116":1},"integrating":{"117":1},"transforms":{"117":1},"which":{"119":1},"unknown":{"119":1},"without":{"119":1},"that":{"120":1},"wraps":{"120":1},"across":{"120":1},"meridian":{"120":1},"wrap":{"120":1},"dateline":{"120":1},"based":{"123":1},"retina":{"123":1,"129":1},"displaying":{"124":1},"ign":{"124":1},"france":{"124":1},"french":{"124":1},"geoportail":{"124":1},"created":{"125":1},"document":{"125":1},"512x512":{"127":1},"tilesize":{"127":1},"mercator":{"129":1},"512x512px":{"129":1},"available":{"129":1},"maptiler":{"129":1},"2x":{"129":1},"devicepixelratio":{"129":1},"constrained":{"131":1},"minzoom":{"131":1},"maxzoom":{"131":1},"zoomify":{"132":1},"deep":{"132":1},"zoomslider":{"133":1},"slider":{"133":1},"styling":{"133":1},"css":{"133":1}}}